--------------------------------------------------------------------------------
-- Weapon Armor Order by Vectar666
-- Based on:
-- Weapon Supply Order
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if v666==nil then v666={} end
v666.armororder={}

-- Load & Prepare Ressources
v666.armororder.gfx_wpn=loadgfx("weapons/supplyorder.png")								-- Weapon Image
setmidhandle(v666.armororder.gfx_wpn)
v666.armororder.sfx_attack=loadsfx("supplyincoming.ogg")


--------------------------------------------------------------------------------
-- Weapon: Supply Order
--------------------------------------------------------------------------------

v666.armororder.id=addweapon("v666.armororder","Armor Order",v666.armororder.gfx_wpn,0,2)	-- Add Weapon (0 uses,2nd round)

function v666.armororder.draw()															-- Draw
	-- HUD Positioning
	hudpositioning(pos_invisible)
end

function v666.armororder.attack(attack)													-- Attack
	if (weapon_position==1) and (weapon_shots==0) then
		weapon_position=0
		weapon_shots=weapon_shots+1
		-- Create and Scroll
		for i=-100,100,50 do
			createobject(cc.armor.crate.id,weapon_x+i,-150)
		end
		scroll(weapon_x,0)
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		-- SFX
		playsound(v666.armororder.sfx_attack)
	end
end